visageSDK

Public Attributes | List of all members
VisageSDK::AnalysisData Struct Reference

Analysis data structure, used as a container for all face analysis results. More...

`#include <VisageFaceAnalyser.h>`

## Public Attributes
float | age = -1.0f
| result of age estimation
bool | ageValid = false
| boolean flag returning whether age estimation has been successful or not
int | gender = -1
| result of gender estimation which can be 1 in case of MALE gender and 0 for FEMALE gender
bool | genderValid = false
| boolean flag returning whether gender estimation has been successful or not
std::array< float, VFA_EMOTIONS_COUNT > | emotionProbabilities = { 0.0 }
| result of emotion estimation, see: VFAEmotionIndices
bool | emotionsValid = false
| boolean flag returning whether emotion estimation has been successful or not

## Detailed Description

Analysis data structure, used as a container for all face analysis results.

This structure is passed as a parameter to the VisageFaceAnalyser::analyseImage() or VisageFaceAnalyser::analyseStream() method. Both methods store analysis results into the structure.

Members ageValid, genderValid and emotionsValid may be used to verify that analysis for those features was performed successfully, before checking the results. If an operation was not performed (turned off via options) or failed, the respective validity boolean will return false and estimations will contain the default value.

If the validity boolean for the respective operation is true, then the estimation succeeded and the results may be used. An example:

if (analysisData.ageValid)
printf("Age: %f", analysisData.age);
if (analysisData.genderValid)
printf("Gender: %d", analysisData.gender);
if (analysisData.emotionsValid)
{
printf("Anger: %f", analysisData.emotionProbabilities[Anger]);
printf("Disgust: %f", analysisData.emotionProbabilities[Disgust]);
printf("Fear: %f", analysisData.emotionProbabilities[Fear]);
printf("Happiness: %f", analysisData.emotionProbabilities[Happiness]);
printf("Sadness: %f", analysisData.emotionProbabilities[Sadness]);
printf("Surprise: %f", analysisData.emotionProbabilities[Surprise]);
printf("Neutral: %f", analysisData.emotionProbabilities[Neutral]);
}

Definition at line 111 of file VisageFaceAnalyser.h.

The documentation for this struct was generated from the following file:

- VisageFaceAnalyser.h